#ifndef OUR_TOOLS
#define OUR_TOOLS

#include "head.h"

double Pow(double x,int y);
double randm();	//Generate (pseudo) random number uniformly from (0,1)

struct sampler{ //Sample from a given distribution
	vector<double> pd;
	void init_uniform(const int &n);
	void init(const vector<double> &distr); //read the distribution
	int sample();	//sample from distribution
};

#endif